<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$resultado=0;
$encontrado=false;

if(!isset($_SESSION['otrosContenedores'])) {
	
	$peticion='SGAPicking#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#BUSQUEDACONTENEDOR#'.$_SESSION['almacen'].';'.$_SESSION['ordenPicking']['Orden'].';'.$_SESSION['picking']['Ubicacion'].';'.$_SESSION['picking']['Contenedor'].$_SESSION['parametros'].';'.$_SESSION['picking']['NumEntrada'].';'.$_SESSION['picking']['LineaEntrada'].';'.$_SESSION['picking']['Codigo'];
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	$_SESSION['otrosContenedores']=array();
	
	foreach($resultado as $contenedor) $_SESSION['otrosContenedores'][]=$contenedor;

}

foreach($_SESSION['otrosContenedores'] as $contenedor) {

	if($contenedor['Contenedor']==$_POST['contenedor']) {
		
		$encontrado=true;
		
		$cantidadFinal=$contenedor['Stock'];
		
		break;
	}

}

if(!$encontrado) echo "error";
else if($cantidadFinal>0) echo $cantidadFinal;

?>